Bug 1490015

Summary: SELinux is preventing systemd-modules from 'map' accesses on the file /usr/lib/modules/4.13.0-1.fc27.x86_64/extra/VirtualBox/vboxdrv.ko.
Product: [Fedora] Fedora Reporter: lonelywoolf
Component: selinux-policyAssignee: Lukas Vrabec <lvrabec>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 27CC: berend.de.schouwer, dwalsh, lsm5, lvrabec, mgrepl, plautrba, pmoore
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:90b07b630c0e2ba4a7a26ed2b80f0639c950303a440c6865f345fa19c8aefa73;
Fixed In Version: selinux-policy-3.13.1-283.14.fc27 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-10-31 15:35:01 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description lonelywoolf 2017-09-09 06:25:20 UTC
Description of problem:
When a building akmod for VirtualBox
SELinux is preventing systemd-modules from 'map' accesses on the file /usr/lib/modules/4.13.0-1.fc27.x86_64/extra/VirtualBox/vboxdrv.ko.

*****  Plugin catchall (100. confidence) suggests   **************************

If вы считаете, что systemd-modules следует разрешить доступ map к vboxdrv.ko file по умолчанию.
Then рекомендуется создать отчет об ошибке.
Чтобы разрешить доступ, можно создать локальный модуль политики.
Do
allow this access for now by executing:
# ausearch -c 'systemd-modules' --raw | audit2allow -M my-systemdmodules
# semodule -X 300 -i my-systemdmodules.pp

Additional Information:
Source Context                system_u:system_r:systemd_modules_load_t:s0
Target Context                system_u:object_r:modules_object_t:s0
Target Objects                /usr/lib/modules/4.13.0-1.fc27.x86_64/extra/Virtua
                              lBox/vboxdrv.ko [ file ]
Source                        systemd-modules
Source Path                   systemd-modules
Port                          <Неизвестно>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    <Неизвестно>
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.13.0-1.fc27.x86_64 #1 SMP Tue
                              Sep 5 15:03:32 UTC 2017 x86_64 x86_64
Alert Count                   8
First Seen                    2017-09-09 13:22:37 +07
Last Seen                     2017-09-09 13:23:02 +07
Local ID                      672db2c6-5ade-4e0e-9cfa-a84d9bef2900

Raw Audit Messages
type=AVC msg=audit(1504938182.722:384): avc:  denied  { map } for  pid=16317 comm="systemd-modules" path="/usr/lib/modules/4.13.0-1.fc27.x86_64/extra/VirtualBox/vboxdrv.ko" dev="sda6" ino=67661922 scontext=system_u:system_r:systemd_modules_load_t:s0 tcontext=system_u:object_r:modules_object_t:s0 tclass=file permissive=0


Hash: systemd-modules,systemd_modules_load_t,modules_object_t,file,map


Additional info:
component:      selinux-policy
reporter:       libreport-2.9.2
hashmarkername: setroubleshoot
kernel:         4.13.0-1.fc27.x86_64
type:           libreport

Comment 1 lonelywoolf 2017-09-09 06:25:42 UTC
Description of problem:
When a building akmod for VirtualBox


Additional info:
reporter:       libreport-2.9.2
hashmarkername: setroubleshoot
kernel:         4.13.0-1.fc27.x86_64
type:           libreport

Comment 2 Berend De Schouwer 2017-10-06 08:04:49 UTC
Description of problem:
start virtualbox

Version-Release number of selected component:
selinux-policy-3.13.1-283.5.fc27.noarch

Additional info:
reporter:       libreport-2.9.2
hashmarkername: setroubleshoot
kernel:         4.13.4-300.fc27.x86_64
type:           libreport

Comment 3 Fedora Update System 2017-10-25 10:12:09 UTC
selinux-policy-3.13.1-283.13.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b5e9ce60d2

Comment 4 Fedora Update System 2017-10-27 18:45:16 UTC
selinux-policy-3.13.1-283.14.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b5e9ce60d2

Comment 5 Fedora Update System 2017-10-31 15:35:01 UTC
selinux-policy-3.13.1-283.14.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.